Bug 1280265 - Repoman only signs one of the distros for each rpm
Repoman only signs one of the distros for each rpm
Status: CLOSED CURRENTRELEASE
Product: Repoman
Classification: Community
Component: Core (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity high
: 1.3
: ---
Assigned To: David Caro
Sandro Bonazzola
integration
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-11 06:14 EST by David Caro
Modified: 2016-06-26 19:51 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-22 13:35:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Integration
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 48564 master MERGED Added test for multiple rpm signatures Never

  None (edit)
Description David Caro 2015-11-11 06:14:19 EST
Description of problem:
When you have an rpm that has more than one distro (same version and name) then only one of them is signed:

 [root@resources02 ovirt-3.5]# rpm --checksig `find . -name "ovirt-release35-006-1.noarch.rpm"`
 ./rpm/fc21/noarch/ovirt-release35-006-1.noarch.rpm: sha1 md5 OK
 ./rpm/fc20/noarch/ovirt-release35-006-1.noarch.rpm: sha1 md5 OK
 ./rpm/el7/noarch/ovirt-release35-006-1.noarch.rpm: RSA sha1 ((MD5) PGP) md5 NOT OK (MISSING KEYS: (MD5) PGP#fe590cb7) 
 ./rpm/el6/noarch/ovirt-release35-006-1.noarch.rpm: sha1 md5 OK
 ./rpm/fc22/noarch/ovirt-release35-006-1.noarch.rpm: sha1 md5 OK
 ./rpm/fc19/noarch/ovirt-release35-006-1.noarch.rpm: sha1 md5 OK

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Note You need to log in before you can comment on or make changes to this bug.